Vinted
Vinted: Search
Search from Vinted. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
vinted
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/vinted/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/vinted/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/vinted/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/vinted/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/vinted/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/vinted/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/vinted/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/vinted/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "vinted.search",
"params": {
"query": "nike shoes",
"country": "DE"
},
"response": {
"success": true,
"data": {
"items": [
{
"content_source": "search",
"favourite_count": 66,
"id": 10490818547,
"is_favourite": false,
"item_box": {
"accessibility_label": "Nikeshoe size 38.5, Marke: Nike, Zustand: Sehr gut, Größe: 38.5, 20.00 €, 21.70 €",
"first_line": "Nike",
"item_id": 10490818547,
"second_line": "38.5 · Sehr gut"
},
"photo": {
"dominant_color": "#D9B6C0",
"dominant_color_opaque": "#F4E9EC",
"full_size_url": "https://images1.vinted.net/tc/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/be5ef36b.webp?s=3ac9498086b844e3d35897765db6abb56f4c7346",
"height": 600,
"high_resolution": {
"id": "06_00853_fZcSGhpcLtP5zySfYRu7MUL7"
},
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/f800/be5ef36b.webp?s=07ca3aadced617fbc62ea078802f85105811eab6",
"width": 800
},
"photos": [
{
"dominant_color": "#D9B6C0",
"dominant_color_opaque": "#F4E9EC",
"full_size_url": "https://images1.vinted.net/tc/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/be5ef36b.webp?s=3ac9498086b844e3d35897765db6abb56f4c7346",
"height": 600,
"high_resolution": "…",
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/f800/be5ef36b.webp?s=07ca3aadced617fbc62ea078802f85105811eab6",
"width": 800
}
],
"price": {
"amount": "20.00",
"currency_code": "EUR"
},
"promoted": false,
"search_tracking_params": {
"score": 1
},
"service_fee": {
"amount": "1.70",
"currency_code": "EUR"
},
"show_1st_time_seller_discount": false,
"title": "Nikeshoe size 38.5",
"total_item_price": {
"amount": "21.70",
"currency_code": "EUR"
},
"url": "/items/10490818547-nikeshoe-size-385",
"user": {
"business": false,
"id": 3185644359,
"login": "joyc334"
},
"view_count": 0
},
{
"content_source": "search_promoted_items",
"favourite_count": 40,
"id": 10182967081,
"is_favourite": false,
"item_box": {
"accessibility_label": "Nike Kids Shoes, Marke: Nike, Zustand: Neu, ohne Etikett, Größe: 21, 15.00 €, 16.45 €",
"first_line": "Nike",
"item_id": 10182967081,
"second_line": "21 · Neu, ohne Etikett"
},
"photo": {
"dominant_color": "#542C22",
"dominant_color_opaque": "#CCC0BD",
"full_size_url": "https://images1.vinted.net/tc/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/8d58e54d.webp?s=f13393a91526c93e116cf1ca9f690b76c12aef7a",
"height": 800,
"high_resolution": {
"id": "02_01cab_qb2JsFVAeRX5cLdhTth85tbE"
},
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/f800/8d58e54d.webp?s=0d14c907b22db88b097584df90f6d660ddc743f6",
"width": 600
},
"photos": [
{
"dominant_color": "#542C22",
"dominant_color_opaque": "#CCC0BD",
"full_size_url": "https://images1.vinted.net/tc/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/8d58e54d.webp?s=f13393a91526c93e116cf1ca9f690b76c12aef7a",
"height": 800,
"high_resolution": "…",
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/f800/8d58e54d.webp?s=0d14c907b22db88b097584df90f6d660ddc743f6",
"width": 600
}
],
"price": {
"amount": "15.00",
"currency_code": "EUR"
},
"promoted": true,
"search_tracking_params": {
"score": 1
},
"service_fee": {
"amount": "1.45",
"currency_code": "EUR"
},
"show_1st_time_seller_discount": false,
"title": "Nike Kids Shoes",
"total_item_price": {
"amount": "16.45",
"currency_code": "EUR"
},
"url": "/items/10182967081-nike-kids-shoes",
"user": {
"business": false,
"id": 3184878342,
"login": "tommyjunior25"
},
"view_count": 0
},
{
"content_source": "search_promoted_items",
"favourite_count": 3,
"id": 10502275133,
"is_favourite": false,
"item_box": {
"accessibility_label": "Nike Structure 26 hardloopschoenen zwart, Marke: Nike, Zustand: Neu, ohne Etikett, Größe: 46, 30.00 €, 32.20 €",
"first_line": "Nike",
"item_id": 10502275133,
"second_line": "46 · Neu, ohne Etikett"
},
"photo": {
"dominant_color": "#4A4A47",
"dominant_color_opaque": "#C9C9C8",
"full_size_url": "https://images1.vinted.net/tc/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/ed6537be.webp?s=8cd3ae204cfa6473c9a8a94d3293aff258444f9b",
"height": 800,
"high_resolution": {
"id": "02_02441_iR4jfMoNEeoH7a8bT4XPFzJo"
},
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/f800/ed6537be.webp?s=daead588a9647de6fda826dfce5bc4aa6b767f0a",
"width": 600
},
"photos": [
{
"dominant_color": "#4A4A47",
"dominant_color_opaque": "#C9C9C8",
"full_size_url": "https://images1.vinted.net/tc/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/ed6537be.webp?s=8cd3ae204cfa6473c9a8a94d3293aff258444f9b",
"height": 800,
"high_resolution": "…",
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/f800/ed6537be.webp?s=daead588a9647de6fda826dfce5bc4aa6b767f0a",
"width": 600
}
],
"price": {
"amount": "30.00",
"currency_code": "EUR"
},
"promoted": true,
"search_tracking_params": {
"score": 0.9999989867210388
},
"service_fee": {
"amount": "2.20",
"currency_code": "EUR"
},
"show_1st_time_seller_discount": false,
"title": "Nike Structure 26 hardloopschoenen zwart",
"total_item_price": {
"amount": "32.20",
"currency_code": "EUR"
},
"url": "/items/10502275133-nike-structure-26-hardloopschoenen-zwart",
"user": {
"business": false,
"id": 248727077,
"login": "merkkleding02"
},
"view_count": 0
}
],
"pagination": {
"current_page": 1,
"per_page": 24,
"time": 1792788799,
"total_entries": 960,
"total_pages": 40
},
"search_tracking_params": {
"global_search_session_id": "edc95c1f-1f58-4b19-88e4-be4683bddd94",
"search_correlation_id": "1cae4ec8-0d3c-42f0-a6c9-3f54d1c42316",
"search_session_id": "80f82f94-26c1-4c7b-bc0d-3b971e7fa885"
}
},
"message": "Items retrieved successfully",
"meta": {
"duration_ms": 3772.52,
"scraped_at": "2026-10-23T20:53:19.928683Z"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Vinted API overview for every Vinted endpoint.
Authorizations
Query Parameters
Maximum string length:
500Maximum string length:
500Available options:
relevance, newest_first, price_low_to_high, price_high_to_low Maximum string length:
500Maximum string length:
500Maximum string length:
200Maximum string length:
200Maximum string length:
200Maximum string length:
100Available options:
FR, DE, ES, IT, NL, BE, AT, PL, CZ, LT, LU, SK, HU, RO, PT, SE, DK, FI, US Maximum string length:
2Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/vinted/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/vinted/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/vinted/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/vinted/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/vinted/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/vinted/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/vinted/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/vinted/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "vinted.search",
"params": {
"query": "nike shoes",
"country": "DE"
},
"response": {
"success": true,
"data": {
"items": [
{
"content_source": "search",
"favourite_count": 66,
"id": 10490818547,
"is_favourite": false,
"item_box": {
"accessibility_label": "Nikeshoe size 38.5, Marke: Nike, Zustand: Sehr gut, Größe: 38.5, 20.00 €, 21.70 €",
"first_line": "Nike",
"item_id": 10490818547,
"second_line": "38.5 · Sehr gut"
},
"photo": {
"dominant_color": "#D9B6C0",
"dominant_color_opaque": "#F4E9EC",
"full_size_url": "https://images1.vinted.net/tc/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/be5ef36b.webp?s=3ac9498086b844e3d35897765db6abb56f4c7346",
"height": 600,
"high_resolution": {
"id": "06_00853_fZcSGhpcLtP5zySfYRu7MUL7"
},
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/f800/be5ef36b.webp?s=07ca3aadced617fbc62ea078802f85105811eab6",
"width": 800
},
"photos": [
{
"dominant_color": "#D9B6C0",
"dominant_color_opaque": "#F4E9EC",
"full_size_url": "https://images1.vinted.net/tc/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/be5ef36b.webp?s=3ac9498086b844e3d35897765db6abb56f4c7346",
"height": 600,
"high_resolution": "…",
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/06_00853_fZcSGhpcLtP5zySfYRu7MUL7/f800/be5ef36b.webp?s=07ca3aadced617fbc62ea078802f85105811eab6",
"width": 800
}
],
"price": {
"amount": "20.00",
"currency_code": "EUR"
},
"promoted": false,
"search_tracking_params": {
"score": 1
},
"service_fee": {
"amount": "1.70",
"currency_code": "EUR"
},
"show_1st_time_seller_discount": false,
"title": "Nikeshoe size 38.5",
"total_item_price": {
"amount": "21.70",
"currency_code": "EUR"
},
"url": "/items/10490818547-nikeshoe-size-385",
"user": {
"business": false,
"id": 3185644359,
"login": "joyc334"
},
"view_count": 0
},
{
"content_source": "search_promoted_items",
"favourite_count": 40,
"id": 10182967081,
"is_favourite": false,
"item_box": {
"accessibility_label": "Nike Kids Shoes, Marke: Nike, Zustand: Neu, ohne Etikett, Größe: 21, 15.00 €, 16.45 €",
"first_line": "Nike",
"item_id": 10182967081,
"second_line": "21 · Neu, ohne Etikett"
},
"photo": {
"dominant_color": "#542C22",
"dominant_color_opaque": "#CCC0BD",
"full_size_url": "https://images1.vinted.net/tc/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/8d58e54d.webp?s=f13393a91526c93e116cf1ca9f690b76c12aef7a",
"height": 800,
"high_resolution": {
"id": "02_01cab_qb2JsFVAeRX5cLdhTth85tbE"
},
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/f800/8d58e54d.webp?s=0d14c907b22db88b097584df90f6d660ddc743f6",
"width": 600
},
"photos": [
{
"dominant_color": "#542C22",
"dominant_color_opaque": "#CCC0BD",
"full_size_url": "https://images1.vinted.net/tc/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/8d58e54d.webp?s=f13393a91526c93e116cf1ca9f690b76c12aef7a",
"height": 800,
"high_resolution": "…",
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_01cab_qb2JsFVAeRX5cLdhTth85tbE/f800/8d58e54d.webp?s=0d14c907b22db88b097584df90f6d660ddc743f6",
"width": 600
}
],
"price": {
"amount": "15.00",
"currency_code": "EUR"
},
"promoted": true,
"search_tracking_params": {
"score": 1
},
"service_fee": {
"amount": "1.45",
"currency_code": "EUR"
},
"show_1st_time_seller_discount": false,
"title": "Nike Kids Shoes",
"total_item_price": {
"amount": "16.45",
"currency_code": "EUR"
},
"url": "/items/10182967081-nike-kids-shoes",
"user": {
"business": false,
"id": 3184878342,
"login": "tommyjunior25"
},
"view_count": 0
},
{
"content_source": "search_promoted_items",
"favourite_count": 3,
"id": 10502275133,
"is_favourite": false,
"item_box": {
"accessibility_label": "Nike Structure 26 hardloopschoenen zwart, Marke: Nike, Zustand: Neu, ohne Etikett, Größe: 46, 30.00 €, 32.20 €",
"first_line": "Nike",
"item_id": 10502275133,
"second_line": "46 · Neu, ohne Etikett"
},
"photo": {
"dominant_color": "#4A4A47",
"dominant_color_opaque": "#C9C9C8",
"full_size_url": "https://images1.vinted.net/tc/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/ed6537be.webp?s=8cd3ae204cfa6473c9a8a94d3293aff258444f9b",
"height": 800,
"high_resolution": {
"id": "02_02441_iR4jfMoNEeoH7a8bT4XPFzJo"
},
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/f800/ed6537be.webp?s=daead588a9647de6fda826dfce5bc4aa6b767f0a",
"width": 600
},
"photos": [
{
"dominant_color": "#4A4A47",
"dominant_color_opaque": "#C9C9C8",
"full_size_url": "https://images1.vinted.net/tc/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/ed6537be.webp?s=8cd3ae204cfa6473c9a8a94d3293aff258444f9b",
"height": 800,
"high_resolution": "…",
"id": 1,
"image_no": 1,
"is_main": true,
"thumbnails": [
"…",
"…",
"…"
],
"url": "https://images1.vinted.net/t/02_02441_iR4jfMoNEeoH7a8bT4XPFzJo/f800/ed6537be.webp?s=daead588a9647de6fda826dfce5bc4aa6b767f0a",
"width": 600
}
],
"price": {
"amount": "30.00",
"currency_code": "EUR"
},
"promoted": true,
"search_tracking_params": {
"score": 0.9999989867210388
},
"service_fee": {
"amount": "2.20",
"currency_code": "EUR"
},
"show_1st_time_seller_discount": false,
"title": "Nike Structure 26 hardloopschoenen zwart",
"total_item_price": {
"amount": "32.20",
"currency_code": "EUR"
},
"url": "/items/10502275133-nike-structure-26-hardloopschoenen-zwart",
"user": {
"business": false,
"id": 248727077,
"login": "merkkleding02"
},
"view_count": 0
}
],
"pagination": {
"current_page": 1,
"per_page": 24,
"time": 1792788799,
"total_entries": 960,
"total_pages": 40
},
"search_tracking_params": {
"global_search_session_id": "edc95c1f-1f58-4b19-88e4-be4683bddd94",
"search_correlation_id": "1cae4ec8-0d3c-42f0-a6c9-3f54d1c42316",
"search_session_id": "80f82f94-26c1-4c7b-bc0d-3b971e7fa885"
}
},
"message": "Items retrieved successfully",
"meta": {
"duration_ms": 3772.52,
"scraped_at": "2026-10-23T20:53:19.928683Z"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}